(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[         0,          0]
NotebookDataLength[    102307,       2894]
NotebookOptionsPosition[     98924,       2783]
NotebookOutlinePosition[     99283,       2799]
CellTagsIndexPosition[     99240,       2796]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[StyleBox["Stochastic Growth Model \n\[OpenCurlyDoubleQuote]Risk \
Matters: Breaking Certainty Equivalence in Linear Approximations,\
\[CloseCurlyDoubleQuote]\nby Juan Carlos Parra-Alvarez, Hamza Polattimur and \
Olaf Posch\nMay 2021",
 FontSize->36]], "Title",
 CellChangeTimes->{{3.6712489688503933`*^9, 3.6712490270802507`*^9}, 
   3.671249065105054*^9, {3.673765409319796*^9, 3.673765420741613*^9}, {
   3.69855006245791*^9, 3.69855007638764*^9}, {3.73001348519013*^9, 
   3.730013485434535*^9}, {3.740734154420732*^9, 3.7407341594615183`*^9}, {
   3.74633856702605*^9, 3.746338582004662*^9}, {3.7482363573342247`*^9, 
   3.748236358043298*^9}, {3.778339675881538*^9, 3.7783397447763233`*^9}, 
   3.8260076288785353`*^9, {3.8309167488712473`*^9, 3.83091674916434*^9}, {
   3.830922719636085*^9, 3.830922750753005*^9}}],

Cell[TextData[{
 "This file computes the first- and second-order perturbation approximation \
to the Stochastic Growth Model. It approximates the policy function ",
 Cell[BoxData[
  FormBox["C", TraditionalForm]]],
 "(k,A,\[Eta]) and the co-state variables ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["V", "k"], TraditionalForm]]],
 "(k,A,\[Eta]) and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["V", "A"], TraditionalForm]]],
 "(k,A,\[Eta]) that solve the following system of quasilinear partial \
differential equations:"
}], "Text",
 CellFrame->{{0, 0}, {0, 2}},
 CellChangeTimes->{{3.826006299195299*^9, 3.826006374954948*^9}, {
   3.8260065422488403`*^9, 3.826006634786305*^9}, {3.8260066715177107`*^9, 
   3.8260070035720243`*^9}, {3.826007038319605*^9, 3.826007055348414*^9}, 
   3.8260077338778763`*^9, {3.826076554512431*^9, 3.8260765820208807`*^9}, {
   3.830916741429945*^9, 3.830916745506279*^9}, {3.830922760489048*^9, 
   3.830922761653269*^9}, {3.831016764612574*^9, 3.831016766388545*^9}}],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox[
      RowBox[{"C", "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}], 
      RowBox[{"-", "\[Gamma]"}]], "-", 
     RowBox[{
      SubscriptBox["V", "k"], "(", 
      RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "=", "0"}], 
   TraditionalForm]]],
 "\[LineSeparator]\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"exp", "(", "A", ")"}], 
         SuperscriptBox["K", "\[Alpha]"]}], "-", 
        RowBox[{"C", "(", 
         RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}], "-", 
        RowBox[{"\[Delta]", " ", "K"}]}], ")"}], 
      RowBox[{
       SubscriptBox["V", "kk"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[Alpha]", " ", 
         RowBox[{"exp", "(", "A", ")"}], 
         SuperscriptBox["K", 
          RowBox[{"\[Alpha]", "-", "1"}]]}], "-", "\[Delta]"}], ")"}], 
      RowBox[{
       SubscriptBox["V", "k"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "-", 
     RowBox[{
      SubscriptBox["\[Rho]", "A"], "A", 
      RowBox[{
       SubscriptBox["V", "Ak"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      SuperscriptBox[
       SubscriptBox["\[Eta]\[Sigma]", "A"], "2"], 
      RowBox[{
       SubscriptBox["V", "AAk"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "-", 
     RowBox[{"\[Rho]", 
      RowBox[{
       SubscriptBox["V", "k"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}]}], "=", "0"}], 
   TraditionalForm]]],
 "\[LineSeparator]\n",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"exp", "(", "A", ")"}], 
         SuperscriptBox["K", "\[Alpha]"]}], "-", 
        RowBox[{"C", "(", 
         RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}], "-", 
        RowBox[{"\[Delta]", " ", "K"}]}], ")"}], 
      RowBox[{
       SubscriptBox["V", "kA"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "+", " ", 
     RowBox[{
      RowBox[{"exp", "(", "A", ")"}], 
      SuperscriptBox["K", "\[Alpha]"], 
      RowBox[{
       SubscriptBox["V", "k"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "-", 
     RowBox[{
      SubscriptBox["\[Rho]", "A"], "A", 
      RowBox[{
       SubscriptBox["V", "AA"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "-", 
     RowBox[{
      SubscriptBox["\[Rho]", "A"], 
      RowBox[{
       SubscriptBox["V", "A"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      SuperscriptBox[
       SubscriptBox["\[Eta]\[Sigma]", "A"], "2"], 
      RowBox[{
       SubscriptBox["V", "AAA"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}], "-", 
     RowBox[{"\[Rho]", 
      RowBox[{
       SubscriptBox["V", "A"], "(", 
       RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}]}]}], "=", "0"}], 
   TraditionalForm]]],
 "."
}], "Text",
 CellChangeTimes->{{3.8260070632201633`*^9, 3.8260070874579153`*^9}, {
  3.826076592492806*^9, 3.826076686364532*^9}, {3.826078418532634*^9, 
  3.8260784188753643`*^9}, {3.8310167804515743`*^9, 3.8310167976287746`*^9}, {
  3.831029377636985*^9, 3.831029401091464*^9}},
 TextAlignment->Center],

Cell["The approximants are given by:", "Text",
 CellChangeTimes->{{3.826006299195299*^9, 3.826006374954948*^9}, {
  3.8260065422488403`*^9, 3.826006634786305*^9}, {3.8260066715177107`*^9, 
  3.8260070035720243`*^9}, {3.826007038319605*^9, 3.826007055348414*^9}, {
  3.8260071035244627`*^9, 3.8260071098544283`*^9}}],

Cell[TextData[{
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{"C", "(", 
     RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}], "=", 
    RowBox[{
     RowBox[{"C", "(", 
      RowBox[{
       SubscriptBox["K", "ss"], ",", 
       SubscriptBox["A", "ss"], ",", "0"}], ")"}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["C", "k"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["C", "A"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["C", "\[Eta]"], "(", 
      RowBox[{
       SubscriptBox["K", "ss"], ",", 
       SubscriptBox["A", "ss"], ",", "0"}], ")"}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t", 
    RowBox[{
     RowBox[{
      RowBox[{"+", 
       FractionBox["1", "2"]}], 
      RowBox[{
       SubscriptBox["C", "kk"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"K", "-", 
         SubscriptBox["K", "ss"]}], ")"}], "2"]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["C", "kA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{
       SubscriptBox["C", "AA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"A", "-", 
         SubscriptBox["A", "ss"]}], ")"}], "2"]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t\t", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"+", 
        RowBox[{
         SubscriptBox["C", "k\[Eta]"], "(", 
         RowBox[{
          SubscriptBox["K", "ss"], ",", 
          SubscriptBox["A", "ss"], ",", "0"}], ")"}]}], 
       RowBox[{"(", 
        RowBox[{"K", "-", 
         SubscriptBox["K", "ss"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{
        SubscriptBox["C", "A\[Eta]"], "(", 
        RowBox[{
         SubscriptBox["K", "ss"], ",", 
         SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"A", "-", 
         SubscriptBox["A", "ss"]}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], 
       RowBox[{
        SubscriptBox["C", "\[Eta]\[Eta]"], "(", 
        RowBox[{
         SubscriptBox["K", "ss"], ",", 
         SubscriptBox["A", "ss"], ",", "0"}], ")"}]}]}], ","}]}], 
   TraditionalForm]}]],
 "\n",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["V", "k"], "(", 
     RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["V", "k"], "(", 
      RowBox[{
       SubscriptBox["K", "ss"], ",", 
       SubscriptBox["A", "ss"], ",", "0"}], ")"}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "kk"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "kA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["V", "k\[Eta]"], "(", 
      RowBox[{
       SubscriptBox["K", "ss"], ",", 
       SubscriptBox["A", "ss"], ",", "0"}], ")"}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t", 
    RowBox[{
     RowBox[{
      RowBox[{"+", 
       FractionBox["1", "2"]}], 
      RowBox[{
       SubscriptBox["V", "kkk"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"K", "-", 
         SubscriptBox["K", "ss"]}], ")"}], "2"]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "kkA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{
       SubscriptBox["V", "kAA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"A", "-", 
         SubscriptBox["A", "ss"]}], ")"}], "2"]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t\t", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"+", 
        RowBox[{
         SubscriptBox["V", "kk\[Eta]"], "(", 
         RowBox[{
          SubscriptBox["K", "ss"], ",", 
          SubscriptBox["A", "ss"], ",", "0"}], ")"}]}], 
       RowBox[{"(", 
        RowBox[{"K", "-", 
         SubscriptBox["K", "ss"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{
        SubscriptBox["V", "kA\[Eta]"], "(", 
        RowBox[{
         SubscriptBox["K", "ss"], ",", 
         SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
       RowBox[{"(", 
        RowBox[{"A", "-", 
         SubscriptBox["A", "ss"]}], ")"}]}], "+", 
      RowBox[{
       FractionBox["1", "2"], 
       RowBox[{
        SubscriptBox["V", "k\[Eta]\[Eta]"], "(", 
        RowBox[{
         SubscriptBox["K", "ss"], ",", 
         SubscriptBox["A", "ss"], ",", "0"}], ")"}]}]}], ","}]}], 
   TraditionalForm]}]],
 "\n",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["V", "A"], "(", 
     RowBox[{"K", ",", "A", ",", "\[Eta]"}], ")"}], "=", 
    RowBox[{
     RowBox[{
      SubscriptBox["V", "A"], "(", 
      RowBox[{
       SubscriptBox["K", "ss"], ",", 
       SubscriptBox["A", "ss"], ",", "0"}], ")"}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "Ak"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "AA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      SubscriptBox["V", "A\[Eta]"], "(", 
      RowBox[{
       SubscriptBox["K", "ss"], ",", 
       SubscriptBox["A", "ss"], ",", "0"}], ")"}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t", 
    RowBox[{
     RowBox[{
      RowBox[{"+", 
       FractionBox["1", "2"]}], 
      RowBox[{
       SubscriptBox["V", "Akk"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"K", "-", 
         SubscriptBox["K", "ss"]}], ")"}], "2"]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "AkA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{
       SubscriptBox["V", "AAA"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"A", "-", 
         SubscriptBox["A", "ss"]}], ")"}], "2"]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t\t", 
    RowBox[{
     RowBox[{
      RowBox[{"+", 
       RowBox[{
        SubscriptBox["V", "Ak\[Eta]"], "(", 
        RowBox[{
         SubscriptBox["K", "ss"], ",", 
         SubscriptBox["A", "ss"], ",", "0"}], ")"}]}], 
      RowBox[{"(", 
       RowBox[{"K", "-", 
        SubscriptBox["K", "ss"]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{
       SubscriptBox["V", "AA\[Eta]"], "(", 
       RowBox[{
        SubscriptBox["K", "ss"], ",", 
        SubscriptBox["A", "ss"], ",", "0"}], ")"}], 
      RowBox[{"(", 
       RowBox[{"A", "-", 
        SubscriptBox["A", "ss"]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{
       RowBox[{
        SubscriptBox["V", "A\[Eta]\[Eta]"], "(", 
        RowBox[{
         SubscriptBox["K", "ss"], ",", 
         SubscriptBox["A", "ss"], ",", "0"}], ")"}], "."}]}]}]}], 
   TraditionalForm]}]]
}], "Text",
 CellFrame->{{0, 0}, {2, 0}},
 CellChangeTimes->{{3.8260070632201633`*^9, 3.8260070874579153`*^9}, {
  3.826007127041706*^9, 3.826007439470339*^9}, {3.826007506610826*^9, 
  3.82600756305119*^9}, {3.826007776993732*^9, 3.826007790741506*^9}, {
  3.826076706314249*^9, 3.826076765937286*^9}},
 TextAlignment->Center],

Cell[CellGroupData[{

Cell["Model setup", "Section",
 CellChangeTimes->{{3.6712490840385942`*^9, 3.671249142774271*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{
   "Ass", ",", "kss", ",", "css", ",", "vkss", ",", "vAss", ",", "\[Gamma]", 
    ",", "\[Alpha]", ",", "\[Rho]", ",", "\[Rho]A", ",", "\[Sigma]A", ",", 
    "\[Delta]", ",", "\[Eta]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.671251632773809*^9, 3.6712517012013083`*^9}, {
  3.673765430298221*^9, 3.6737654308694468`*^9}, {3.67376548098543*^9, 
  3.673765490434461*^9}, {3.6737655445783653`*^9, 3.673765565373767*^9}, {
  3.673765798294159*^9, 3.6737658034173203`*^9}, {3.6737687881069517`*^9, 
  3.673768798646433*^9}, {3.676617396301097*^9, 3.676617397705752*^9}, {
  3.677234015171111*^9, 3.677234015937582*^9}, {3.6860605327101593`*^9, 
  3.686060534383403*^9}, {3.698550548997519*^9, 3.6985505678085403`*^9}, {
  3.6985542982406054`*^9, 3.6985542998637123`*^9}, {3.698555040200387*^9, 
  3.698555050450296*^9}, {3.6986439732853622`*^9, 3.698643977600091*^9}, {
  3.704436814197835*^9, 3.70443682245857*^9}, {3.746329392105659*^9, 
  3.746329395287273*^9}, {3.822498231236444*^9, 3.822498257622954*^9}, {
  3.822499193897018*^9, 3.822499199562372*^9}, {3.825999200102365*^9, 
  3.825999230349381*^9}}],

Cell[CellGroupData[{

Cell["Policy functions", "Subsection",
 CellChangeTimes->{{3.671251560462222*^9, 3.671251564118375*^9}, {
  3.6985519136352053`*^9, 3.698551918366441*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Implicity", " ", "policy", " ", "function", " ", "for", " ", "costate", 
    " ", "variables", " ", "to", " ", "be", " ", "approximated"}], "*)"}], 
  "\n", 
  RowBox[{
   RowBox[{
    RowBox[{"vk", "=", 
     RowBox[{"g1", "[", 
      RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}]}], ";"}], " ", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vA", "=", 
     RowBox[{"g2", "[", 
      RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"c", "=", " ", 
     RowBox[{"g3", "[", 
      RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6985518158879623`*^9, 3.698551823425803*^9}, {
  3.698551877465437*^9, 3.698551879045311*^9}, {3.6985519293193617`*^9, 
  3.698551975148406*^9}, {3.822498208905197*^9, 3.822498222241194*^9}, {
  3.822499217246489*^9, 3.82249921779917*^9}, {3.825998005241725*^9, 
  3.8259980262280817`*^9}, {3.825998403828052*^9, 3.825998409776452*^9}, {
  3.826007807603506*^9, 3.826007821780697*^9}, {3.826076775232636*^9, 
  3.826076782942855*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Parameters", "Subsection",
 CellChangeTimes->{{3.671251560462222*^9, 3.671251564118375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Alpha]", "=", "0.36"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Delta]", "=", " ", "0.0963"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]", "=", " ", "0.0410"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Gamma]", "=", "2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Rho]A", "=", "0.2052"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Sigma]A", "=", "0.0307"}], ";"}]}], "Input",
 CellChangeTimes->{{3.671251594566304*^9, 3.6712516250265293`*^9}, {
   3.671251706355516*^9, 3.671251706779558*^9}, {3.671264711293666*^9, 
   3.671264712549552*^9}, {3.67126509764482*^9, 3.671265108499051*^9}, 
   3.673174040685173*^9, 3.673175299949201*^9, 3.673181444615127*^9, 
   3.67323932972941*^9, 3.673240232181609*^9, 3.673254978233303*^9, 
   3.673283270835677*^9, 3.673578808058926*^9, 3.6735805224725*^9, {
   3.6737654609301567`*^9, 3.673765461278998*^9}, {3.673765899348658*^9, 
   3.673765932153322*^9}, {3.673768802099221*^9, 3.6737688062678537`*^9}, {
   3.676615814226925*^9, 3.676615841008684*^9}, {3.676617331254201*^9, 
   3.676617340142453*^9}, {3.676617623378722*^9, 3.676617625559703*^9}, {
   3.676623701646205*^9, 3.676623702587303*^9}, {3.677233141059752*^9, 
   3.677233145670396*^9}, {3.6772331806447887`*^9, 3.677233214544548*^9}, {
   3.677233267029993*^9, 3.677233300126733*^9}, {3.677233331020612*^9, 
   3.677233343103587*^9}, {3.6772334158146753`*^9, 3.677233433581161*^9}, {
   3.67723355302274*^9, 3.6772335927172813`*^9}, {3.677233648166279*^9, 
   3.677233656424802*^9}, {3.677233688303302*^9, 3.677233701108692*^9}, {
   3.677234043985579*^9, 3.677234050696439*^9}, {3.686060496727901*^9, 
   3.686060526288624*^9}, {3.686068583641028*^9, 3.686068593210156*^9}, {
   3.688269617692697*^9, 3.688269619429928*^9}, {3.688269666883061*^9, 
   3.688269674959908*^9}, {3.6882697400052*^9, 3.68826982102083*^9}, {
   3.688269902067775*^9, 3.68826994091262*^9}, {3.6882700662333193`*^9, 
   3.68827008215554*^9}, {3.688270160504059*^9, 3.68827016790298*^9}, {
   3.6882701991009007`*^9, 3.688270221784445*^9}, {3.688270256106001*^9, 
   3.68827028907764*^9}, {3.688270353184105*^9, 3.688270353540929*^9}, {
   3.68827039350099*^9, 3.688270394209157*^9}, {3.68836817840946*^9, 
   3.688368179679638*^9}, 3.688368779354455*^9, {3.698550461382893*^9, 
   3.698550509726039*^9}, 3.6985519830402327`*^9, {3.698554284860868*^9, 
   3.698554294569895*^9}, {3.6985544585371428`*^9, 3.698554464392932*^9}, {
   3.698555113298615*^9, 3.69855517472121*^9}, {3.69864398802855*^9, 
   3.698643995616317*^9}, {3.699100433915092*^9, 3.6991004342987556`*^9}, {
   3.699103773823234*^9, 3.699103775971408*^9}, {3.699103944749257*^9, 
   3.699103945911145*^9}, {3.700797905278615*^9, 3.7007979055483313`*^9}, {
   3.700797966954509*^9, 3.700797967074893*^9}, 3.700798241353771*^9, {
   3.7007989556216583`*^9, 3.700798957114447*^9}, {3.700799765390617*^9, 
   3.70079976662434*^9}, {3.7008000357488956`*^9, 3.7008000360185328`*^9}, {
   3.7008026800233717`*^9, 3.700802733179223*^9}, {3.700802778560669*^9, 
   3.700802780203142*^9}, {3.7008028162842407`*^9, 3.700802846353127*^9}, {
   3.700802890161171*^9, 3.700802895110797*^9}, {3.700802935084861*^9, 
   3.700802935317707*^9}, {3.700802968182701*^9, 3.700802974086339*^9}, {
   3.7008030564167023`*^9, 3.700803056475142*^9}, {3.700819323872181*^9, 
   3.7008193241514*^9}, {3.700844008062348*^9, 3.700844008192791*^9}, {
   3.700846143032566*^9, 3.700846143276287*^9}, {3.7008462177122793`*^9, 
   3.700846217909782*^9}, {3.700846266872753*^9, 3.700846278141609*^9}, {
   3.7008853693115053`*^9, 3.700885371841852*^9}, {3.7008855936412373`*^9, 
   3.700885597385306*^9}, {3.7008856557871723`*^9, 3.700885656190064*^9}, {
   3.7008876444417458`*^9, 3.7008876486023912`*^9}, {3.700887699107493*^9, 
   3.700887705022838*^9}, {3.700888082960737*^9, 3.7008880904867764`*^9}, {
   3.700888131370084*^9, 3.700888135757419*^9}, {3.700888171557722*^9, 
   3.700888176786796*^9}, {3.700888211336233*^9, 3.700888235917652*^9}, {
   3.700901347644421*^9, 3.700901360866691*^9}, {3.700909094672779*^9, 
   3.7009090949159393`*^9}, {3.701071037693266*^9, 3.701071038051263*^9}, {
   3.703227335881863*^9, 3.703227336123041*^9}, {3.703227523082944*^9, 
   3.703227523124913*^9}, {3.703227610941669*^9, 3.7032276111643267`*^9}, {
   3.703236708570467*^9, 3.70323670883708*^9}, {3.704436831043696*^9, 
   3.704436850643393*^9}, {3.7044506463637733`*^9, 3.704450678514326*^9}, {
   3.7044521304881077`*^9, 3.704452138608285*^9}, {3.704474862144328*^9, 
   3.7044748680750628`*^9}, 3.704474959405609*^9, {3.704475001077547*^9, 
   3.704475006631689*^9}, {3.704475043730383*^9, 3.704475049623961*^9}, {
   3.711695163936472*^9, 3.7116951679712133`*^9}, {3.730020971577545*^9, 
   3.730020971746159*^9}, {3.740475735228847*^9, 3.740475750882574*^9}, {
   3.740475786593377*^9, 3.740475789191372*^9}, {3.740475928457222*^9, 
   3.740475932090272*^9}, {3.7404760065771847`*^9, 3.740476011639901*^9}, {
   3.740476091434627*^9, 3.740476100378914*^9}, 3.740820925608018*^9, {
   3.740821076934554*^9, 3.740821077999572*^9}, {3.740821112661016*^9, 
   3.7408211127959003`*^9}, {3.740822531790963*^9, 3.740822561102635*^9}, 
   3.7408226526827793`*^9, {3.740896135663885*^9, 3.7408961606740017`*^9}, {
   3.746329400188033*^9, 3.746329410666314*^9}, {3.7463298871076097`*^9, 
   3.746329890571228*^9}, {3.7463299820365267`*^9, 3.746329984745041*^9}, {
   3.7463308560940247`*^9, 3.746330856223338*^9}, {3.746330902080324*^9, 
   3.746330945257571*^9}, {3.746338378345892*^9, 3.746338386580433*^9}, {
   3.746338821994185*^9, 3.746338822711707*^9}, {3.7463429241965647`*^9, 
   3.746342924756589*^9}, {3.746343036539909*^9, 3.746343036920045*^9}, {
   3.7463436084937477`*^9, 3.746343608952765*^9}, {3.746344652591552*^9, 
   3.7463446531289682`*^9}, {3.746411301810058*^9, 3.746411303415155*^9}, {
   3.746411348575281*^9, 3.746411379195695*^9}, {3.7481520925819473`*^9, 
   3.74815209264439*^9}, {3.748152406704852*^9, 3.748152411742464*^9}, {
   3.7481534848940983`*^9, 3.748153495462761*^9}, {3.7482363609793997`*^9, 
   3.748236369183034*^9}, {3.749018949036035*^9, 3.749018952223186*^9}, {
   3.7491891030736303`*^9, 3.7491891489250193`*^9}, {3.749189202228799*^9, 
   3.749189225094099*^9}, {3.7491961657983437`*^9, 3.74919617237683*^9}, {
   3.749196471225583*^9, 3.74919647292244*^9}, {3.7492031564666653`*^9, 
   3.7492031603509827`*^9}, {3.749203576599229*^9, 3.749203583380506*^9}, {
   3.749205409904172*^9, 3.7492054100009747`*^9}, {3.749206782337129*^9, 
   3.74920678258097*^9}, {3.749812462518404*^9, 3.749812471680586*^9}, {
   3.749812506473111*^9, 3.749812534435878*^9}, {3.751279513617403*^9, 
   3.751279524207555*^9}, {3.754547678125733*^9, 3.754547697769792*^9}, {
   3.754549781697278*^9, 3.7545497819208117`*^9}, {3.754552039639759*^9, 
   3.754552039808817*^9}, {3.754553593236752*^9, 3.754553593404901*^9}, 
   3.754555325724819*^9, {3.757413756959557*^9, 3.7574137677652617`*^9}, {
   3.757413852928253*^9, 3.757413853047069*^9}, {3.757413973453224*^9, 
   3.757413974481451*^9}, {3.7574140081825247`*^9, 3.7574140083529263`*^9}, {
   3.7574156030779448`*^9, 3.757415603143304*^9}, {3.757417273230116*^9, 
   3.757417273306889*^9}, {3.757418831083441*^9, 3.757418831241407*^9}, {
   3.757420648999579*^9, 3.757420649130022*^9}, {3.757420810778376*^9, 
   3.7574208114409437`*^9}, {3.762005996877442*^9, 3.762006006266562*^9}, {
   3.762007767564713*^9, 3.7620077679570227`*^9}, {3.771817316080544*^9, 
   3.771817316174489*^9}, {3.773573976479453*^9, 3.773573976837784*^9}, {
   3.774674509797657*^9, 3.774674517270485*^9}, {3.774674578974577*^9, 
   3.774674619385701*^9}, {3.7746747097057533`*^9, 3.774674717171672*^9}, {
   3.774675480842448*^9, 3.7746754808858843`*^9}, {3.774675554821026*^9, 
   3.7746755567189407`*^9}, {3.774677854763692*^9, 3.774677854838532*^9}, {
   3.774679232776166*^9, 3.7746792330214043`*^9}, {3.774679362579862*^9, 
   3.774679369038059*^9}, {3.774679501888047*^9, 3.77467950874903*^9}, {
   3.774679583730565*^9, 3.7746795844167547`*^9}, {3.774681493542822*^9, 
   3.774681493614657*^9}, {3.776082377682949*^9, 3.7760823784876823`*^9}, {
   3.776082409173479*^9, 3.7760824285562*^9}, {3.7760825993828773`*^9, 
   3.776082599708226*^9}, {3.77608431024918*^9, 3.776084316699793*^9}, {
   3.776085148249856*^9, 3.776085174589365*^9}, {3.776085961844802*^9, 
   3.776085961970008*^9}, {3.776154163840827*^9, 3.776154174973297*^9}, {
   3.77615635586714*^9, 3.7761563564492598`*^9}, {3.776161401954268*^9, 
   3.7761614031825314`*^9}, {3.776162381789575*^9, 3.776162392734271*^9}, {
   3.776162487715496*^9, 3.776162490946542*^9}, 3.776164417614233*^9, {
   3.776165134540327*^9, 3.776165134639839*^9}, {3.7761661875915413`*^9, 
   3.7761661884668407`*^9}, {3.776396000299658*^9, 3.776396000399466*^9}, {
   3.776396042276033*^9, 3.7763960496290903`*^9}, {3.776396154121443*^9, 
   3.776396154761004*^9}, 3.77639623979296*^9, {3.776417028822654*^9, 
   3.7764170520058727`*^9}, {3.776417100543106*^9, 3.77641714360351*^9}, {
   3.7764173152590857`*^9, 3.7764173183946943`*^9}, {3.7764173581947002`*^9, 
   3.776417358835679*^9}, {3.776418615255116*^9, 3.776418617233137*^9}, {
   3.7764235617971*^9, 3.7764235656853027`*^9}, {3.776423678917927*^9, 
   3.776423679547752*^9}, {3.776425165708262*^9, 3.77642516994355*^9}, {
   3.776425516701972*^9, 3.776425521654571*^9}, {3.776426586367796*^9, 
   3.776426602949932*^9}, {3.7764365176419897`*^9, 3.776436549617391*^9}, {
   3.776481556393777*^9, 3.776481570154628*^9}, {3.7764825307715597`*^9, 
   3.776482530860629*^9}, {3.776484242146809*^9, 3.7764842448285627`*^9}, {
   3.7764866440466957`*^9, 3.7764866459783*^9}, 3.776486732467638*^9, {
   3.776747117082407*^9, 3.776747117798273*^9}, 3.776752744770018*^9, 
   3.776753552402576*^9, 3.7767542742694473`*^9, {3.7767543083115187`*^9, 
   3.776754308455985*^9}, {3.776755323919016*^9, 3.7767553242878027`*^9}, {
   3.7776362641916857`*^9, 3.777636280384783*^9}, {3.778338418063467*^9, 
   3.778338442977874*^9}, {3.822498261148246*^9, 3.822498289998847*^9}, {
   3.825998036397235*^9, 3.825998106348421*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Definition of derivatives", "Subsection",
 CellChangeTimes->{{3.671249675773348*^9, 3.671249680768309*^9}, {
  3.698551225624085*^9, 3.698551226938167*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"j", "=", "0"}], ",", 
    RowBox[{"j", "\[LessEqual]", "n"}], ",", 
    RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"For", "[", 
      RowBox[{
       RowBox[{"l", "=", "0"}], ",", 
       RowBox[{"l", "\[LessEqual]", " ", "n"}], ",", 
       RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"m", "=", "0"}], ",", 
          RowBox[{"m", "\[LessEqual]", "n"}], ",", 
          RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Derivative", "[", 
               RowBox[{"j", ",", "l", ",", "m"}], "]"}], "[", "g1", "]"}], 
             "[", 
             RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=."}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Derivative", "[", 
               RowBox[{"j", ",", "l", ",", "m"}], "]"}], "[", "g2", "]"}], 
             "[", 
             RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=."}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"Derivative", "[", 
               RowBox[{"j", ",", "l", ",", "m"}], "]"}], "[", "g3", "]"}], 
             "[", 
             RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=."}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", "]"}], 
     ";"}]}], "\[IndentingNewLine]", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.671249740150419*^9, 3.6712497402135563`*^9}, {
   3.671252728404174*^9, 3.671252728631934*^9}, {3.673765967375733*^9, 
   3.673766003108924*^9}, {3.698551516907524*^9, 3.6985515729196253`*^9}, {
   3.6985524761921577`*^9, 3.6985524861889963`*^9}, {3.69864704160238*^9, 
   3.698647042038213*^9}, {3.6990932641555967`*^9, 3.699093319646739*^9}, {
   3.699093431147277*^9, 3.699093431745973*^9}, {3.8224983802710133`*^9, 
   3.822498398469706*^9}, {3.825998181247102*^9, 3.825998206735471*^9}, 
   3.826007827825553*^9, {3.826076798425206*^9, 3.826076801059763*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Order of stochastic approximation (n-2)", "Subsection",
 CellChangeTimes->{{3.6712497703401823`*^9, 3.6712497802401857`*^9}, 
   3.671254902146379*^9, {3.671261921547003*^9, 3.671261923853291*^9}, {
   3.671262010121106*^9, 3.6712620101734123`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"n", "=", "4"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Second", " ", "order", " ", "stochastic", " ", "approximation"}], 
   "*)"}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGCQBGIQLfHTOj8q6rVjpP8xML2NZSZXDJBWtJsNpp18T1wF
0cdXnwbTQm9Ng2OB9I57ZmD6SN00hzggnZc3A0xbref4EA+k11hygenjgld8
EoB038+rYLpO71UUiO7xdokG0QHPDqeBaLl7x8D0uarI6D+xrx3F10SB6agp
XPNB9IwHvGD6W+wdaa64144eQffAtN4i8UQ+IL3niSSY1uc04FCPf+3o8s0Q
TMeJfPLcl/LacR33Bm8QrTdnSiaI3vFlGpi2ylpSB6INIpaBadf+O50g+kvh
PTCtpfFpMYjmcvsGppM+s60H0Q3LOcH0/elcBgeB9JPpvGD6hIPy1aNAegGH
Gpg+9zQnJbfvtWNZcDWYdixce+nEZGC4ma4H0xx3zR63N75xZHRgeQqiAY7/
yKg=
  "]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Equilibrium conditions, F(x,\[Eta]) = H(x, g(x,\[Eta]), ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["g", "xx"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "(x,\[Eta]), ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["g", "xx"], TraditionalForm]],
  FormatType->"TraditionalForm"],
 "(x,\[Eta]))"
}], "Subsection",
 CellChangeTimes->{{3.671249811548753*^9, 3.6712498153511868`*^9}, {
   3.6731510641663647`*^9, 3.673151083316609*^9}, {3.6979530521589622`*^9, 
   3.697953052503368*^9}, 3.698551596599935*^9, {3.831016891126915*^9, 
   3.8310169128199472`*^9}, {3.8310175890402308`*^9, 3.831017655129755*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"CostateK", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", "A", "]"}], 
        SuperscriptBox["k", "\[Alpha]"]}], "-", "c", "-", 
       RowBox[{"\[Delta]", " ", "k"}]}], ")"}], 
     RowBox[{"D", "[", 
      RowBox[{"vk", ",", "k"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"\[Alpha]", " ", 
        RowBox[{"Exp", "[", "A", "]"}], 
        SuperscriptBox["k", 
         RowBox[{"\[Alpha]", "-", "1"}]]}], "-", "\[Delta]", "-", "\[Rho]"}], 
      " ", ")"}], "vk"}], "-", 
    RowBox[{"\[Rho]A", " ", "A", " ", 
     RowBox[{"D", "[", 
      RowBox[{"vk", ",", "A"}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], "\[Eta]", " ", 
     SuperscriptBox[
      RowBox[{"(", "\[Sigma]A", ")"}], "2"], 
     RowBox[{"D", "[", 
      RowBox[{"vk", ",", 
       RowBox[{"{", 
        RowBox[{"A", ",", "2"}], "}"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CostateA", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Exp", "[", "A", "]"}], 
        SuperscriptBox["k", "\[Alpha]"]}], "-", "c", "-", 
       RowBox[{"\[Delta]", " ", "k"}]}], ")"}], 
     RowBox[{"D", "[", 
      RowBox[{"vk", ",", "A"}], "]"}]}], "+", " ", 
    RowBox[{
     RowBox[{"Exp", "[", "A", "]"}], 
     SuperscriptBox["k", "\[Alpha]"], "vk"}], "-", 
    RowBox[{"\[Rho]A", " ", "A", " ", 
     RowBox[{"D", "[", 
      RowBox[{"vA", ",", "A"}], "]"}]}], "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Rho]A", " ", "+", "\[Rho]"}], ")"}], " ", "vA"}], "+", 
    RowBox[{
     FractionBox["1", "2"], "\[Eta]", " ", 
     SuperscriptBox[
      RowBox[{"(", "\[Sigma]A", ")"}], "2"], 
     RowBox[{"D", "[", 
      RowBox[{"vA", ",", 
       RowBox[{"{", 
        RowBox[{"A", ",", "2"}], "}"}]}], "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FOCc", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", 
   RowBox[{
    SuperscriptBox["c", 
     RowBox[{"-", "\[Gamma]"}]], "-", "vk"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"CostateK", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}], ",", 
     RowBox[{"CostateA", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}], ",", 
     RowBox[{"FOCc", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.67662286228375*^9, 3.676623310726259*^9}, {
   3.6766235142701483`*^9, 3.676623559509625*^9}, 3.676623695088862*^9, {
   3.677233711924362*^9, 3.6772337699634113`*^9}, {3.677233865085287*^9, 
   3.677233890940089*^9}, {3.686060655201252*^9, 3.686060662001738*^9}, {
   3.68606071375594*^9, 3.686060719067793*^9}, {3.686060763078055*^9, 
   3.6860607981765547`*^9}, 3.6860686967264957`*^9, {3.6979530709313993`*^9, 
   3.697953086688398*^9}, {3.697953130115447*^9, 3.697953190679884*^9}, {
   3.698551619957238*^9, 3.698551760754847*^9}, {3.6985524993161297`*^9, 
   3.698552535339654*^9}, 3.6985525866956043`*^9, {3.6985526274199877`*^9, 
   3.698552636072835*^9}, {3.698552712779854*^9, 3.6985527150990963`*^9}, {
   3.698553470735036*^9, 3.698553499802059*^9}, {3.698553761639368*^9, 
   3.698553795258469*^9}, {3.698553865474379*^9, 3.6985540167468863`*^9}, {
   3.698554126724132*^9, 3.698554192506562*^9}, {3.6985544729691553`*^9, 
   3.6985544958043213`*^9}, {3.6985545390146313`*^9, 3.698554672122408*^9}, {
   3.698554762886775*^9, 3.6985548902599163`*^9}, {3.698555284130783*^9, 
   3.6985553102588177`*^9}, {3.698644016261156*^9, 3.698644044485409*^9}, {
   3.6986452552122993`*^9, 3.698645301584587*^9}, {3.698645343345414*^9, 
   3.6986453533580723`*^9}, {3.6986461491763287`*^9, 3.698646158269701*^9}, {
   3.699085121668005*^9, 3.6990852786525908`*^9}, {3.699085363613668*^9, 
   3.699085372398844*^9}, {3.699105872605425*^9, 3.699105874681891*^9}, {
   3.699105978875586*^9, 3.6991059805693827`*^9}, {3.6991602075100183`*^9, 
   3.6991602090948687`*^9}, {3.6991683576557627`*^9, 3.699168401373904*^9}, {
   3.7007958819901867`*^9, 3.700795884191166*^9}, 3.70081658013927*^9, {
   3.700842623485351*^9, 3.700842641067893*^9}, {3.700842687332624*^9, 
   3.7008426991130123`*^9}, {3.700842739122222*^9, 3.7008427809232473`*^9}, {
   3.7008444905029287`*^9, 3.700844493629342*^9}, 3.700883087314396*^9, {
   3.701347161311673*^9, 3.701347163638352*^9}, {3.701351600969644*^9, 
   3.701351602569257*^9}, {3.7044369098888187`*^9, 3.704436933882121*^9}, {
   3.70443696611611*^9, 3.7044370062221203`*^9}, {3.704437040759493*^9, 
   3.704437061638534*^9}, {3.704437100194284*^9, 3.704437158703512*^9}, {
   3.730013648107795*^9, 3.730013651072215*^9}, {3.7300136908786173`*^9, 
   3.7300137874335012`*^9}, {3.746331749700666*^9, 3.7463318290288982`*^9}, {
   3.776417158964366*^9, 3.776417229892666*^9}, {3.822498411580803*^9, 
   3.822498423969054*^9}, {3.822498472322381*^9, 3.822498502077488*^9}, {
   3.822498645448399*^9, 3.822498792063278*^9}, {3.8224988375661287`*^9, 
   3.822498880734869*^9}, {3.822499228391636*^9, 3.822499232343964*^9}, {
   3.822499734512313*^9, 3.822499758861989*^9}, {3.825998219474073*^9, 
   3.825998494407482*^9}, {3.82599872798109*^9, 3.8259988265439997`*^9}, {
   3.8259994555068417`*^9, 3.8259994892401733`*^9}, {3.825999585316945*^9, 
   3.8259995904605627`*^9}, {3.8259996341993647`*^9, 3.825999639522314*^9}, {
   3.826076810758751*^9, 3.826076855355856*^9}, {3.8260790038172913`*^9, 
   3.826079022784649*^9}, 3.831016883677001*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Deterministic steady state", "Section",
 CellChangeTimes->{{3.671250768242276*^9, 3.6712507778608847`*^9}, 
   3.671251582457416*^9, {3.671252083472719*^9, 3.67125208808363*^9}}],

Cell[BoxData[{
 RowBox[{"Ass", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"kss", " ", "=", " ", 
  SuperscriptBox[
   RowBox[{"(", 
    FractionBox["\[Alpha]", 
     RowBox[{"\[Rho]", "+", "\[Delta]"}]], ")"}], 
   FractionBox["1", 
    RowBox[{"1", "-", "\[Alpha]"}]]]}], "\[IndentingNewLine]", 
 RowBox[{"css", "=", 
  RowBox[{
   SuperscriptBox["kss", "\[Alpha]"], "-", 
   RowBox[{"\[Delta]", " ", "kss"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"vkss", " ", "=", " ", 
  SuperscriptBox["css", 
   RowBox[{"-", "\[Gamma]"}]]}], "\[IndentingNewLine]", 
 RowBox[{"vAss", "=", 
  FractionBox[
   RowBox[{
    SuperscriptBox["kss", "\[Alpha]"], "vkss"}], 
   RowBox[{"\[Rho]A", "+", "\[Rho]"}]]}]}], "Input",
 CellChangeTimes->{{3.698568932838705*^9, 3.6985689681205597`*^9}, 
   3.698571410837747*^9, {3.6985716787541637`*^9, 3.698571679323071*^9}, {
   3.698643532380934*^9, 3.698643582901507*^9}, {3.698643636300527*^9, 
   3.698643643518058*^9}, {3.698643697790956*^9, 3.698643704444902*^9}, {
   3.698643747938949*^9, 3.698643763342503*^9}, {3.698643840412581*^9, 
   3.698643858889799*^9}, {3.698644499296245*^9, 3.6986446073346367`*^9}, {
   3.698644638495041*^9, 3.698644693749236*^9}, {3.698644766310995*^9, 
   3.698644769906927*^9}, {3.698644844730953*^9, 3.698644877377605*^9}, {
   3.698644908460374*^9, 3.698644918311516*^9}, 3.6990859069070597`*^9, {
   3.6991020372921124`*^9, 3.699102037380342*^9}, {3.699102099871231*^9, 
   3.699102099983725*^9}, {3.69910350015168*^9, 3.69910350021099*^9}, {
   3.699104273620811*^9, 3.6991042737515173`*^9}, 3.700479079854052*^9, {
   3.700798473714074*^9, 3.7007985011076393`*^9}, 3.700843325838169*^9, {
   3.700843440235334*^9, 3.700843443804364*^9}, {3.700844084841235*^9, 
   3.7008440927969227`*^9}, {3.704438049939949*^9, 3.704438060310213*^9}, 
   3.7044431595688334`*^9, 3.7044496694405527`*^9, 3.704451828500478*^9, 
   3.7044520099531717`*^9, {3.704452098368493*^9, 3.704452099298154*^9}, {
   3.704452180091483*^9, 3.7044522049420767`*^9}, {3.746342474913451*^9, 
   3.7463424785445004`*^9}, {3.74634272780527*^9, 3.7463427624963408`*^9}, {
   3.746411805280051*^9, 3.746411825101863*^9}, {3.748153829718609*^9, 
   3.748153835271137*^9}, {3.748153885754388*^9, 3.748153894373908*^9}, {
   3.822498952759274*^9, 3.822498959241501*^9}, {3.8224990610034533`*^9, 
   3.8224990710099907`*^9}, 3.825998855325787*^9, {3.8259989006213293`*^9, 
   3.825999069692618*^9}, {3.825999164090708*^9, 3.82599918639086*^9}, 
   3.825999258680105*^9, {3.8310183955308323`*^9, 3.831018417051868*^9}, {
   3.83102933741601*^9, 3.831029367323449*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Taylor expansion of the consumption function", "Section",
 CellChangeTimes->{{3.671250874779003*^9, 3.671250888076388*^9}}],

Cell[CellGroupData[{

Cell["Constant terms of the approximation", "Subsection",
 CellChangeTimes->{{3.671250895062896*^9, 3.6712509000239277`*^9}, {
   3.671251032493382*^9, 3.671251036789378*^9}, 3.698645005952179*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"g1", "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", "vkss"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g2", "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", "vAss"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"g3", "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", "css"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.671250901947772*^9, 3.6712509162473183`*^9}, {
  3.671250970541395*^9, 3.6712510288367777`*^9}, {3.6712519940763063`*^9, 
  3.671251996371828*^9}, {3.671252721064045*^9, 3.6712527357877617`*^9}, {
  3.673191126452342*^9, 3.6731911290145187`*^9}, {3.673767849704628*^9, 
  3.673767850273971*^9}, {3.676627424581139*^9, 3.676627429148477*^9}, {
  3.6986449632033997`*^9, 3.6986449966822*^9}, {3.6986508217690563`*^9, 
  3.698650835079357*^9}, {3.6990854055035887`*^9, 3.699085405856166*^9}, {
  3.699104918433268*^9, 3.6991049407785177`*^9}, {3.8224997863062077`*^9, 
  3.8224997968224087`*^9}, {3.8259993206192293`*^9, 3.825999329970119*^9}, {
  3.8260768622983313`*^9, 3.826076865548811*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Perfect-foresight components of the approximation ", "Subsection",
 CellChangeTimes->{{3.671251044889217*^9, 3.671251059896496*^9}, {
  3.831016951853108*^9, 3.831016976501617*^9}, {3.83101700993908*^9, 
  3.831017059736916*^9}, {3.831017136951084*^9, 3.831017140769188*^9}, {
  3.831017213886806*^9, 3.831017215079067*^9}, {3.831053660333097*^9, 
  3.8310536661807213`*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "x"], 
     RowBox[{"(", 
      RowBox[{"x", ",", "\[Eta]"}], ")"}]}], "=", 
    RowBox[{
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {
         RowBox[{
          SubscriptBox["F", "K"], 
          RowBox[{"(", 
           RowBox[{"x", ",", "\[Eta]"}], ")"}]}]},
        {
         RowBox[{
          SubscriptBox["F", "A"], 
          RowBox[{"(", 
           RowBox[{"x", ",", "\[Eta]"}], ")"}]}]}
       }], "\[NoBreak]", ")"}], "=", 
     RowBox[{"(", "\[NoBreak]", GridBox[{
        {"0"},
        {"0"}
       }], "\[NoBreak]", ")"}]}]}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{{3.831017256213881*^9, 3.8310172590083017`*^9}, {
   3.831017293209568*^9, 3.831017293821879*^9}, 3.831017738188807*^9, 
   3.8310177837402973`*^9, {3.8310182008803177`*^9, 3.831018202240501*^9}, 
   3.831018267628974*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"FK", "[", 
    RowBox[{"1", ",", "0", ",", "0", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}], ",", "k"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"FA", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}], ",", "A"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.822499803495812*^9, 3.822499825633079*^9}, {
  3.822499919929512*^9, 3.822499925162722*^9}, {3.825999405063135*^9, 
  3.8259994448948727`*^9}, {3.825999512035125*^9, 3.825999513378326*^9}, {
  3.83101692848553*^9, 3.831016948607436*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"root", "=", 
   RowBox[{"NSolve", "[", 
    RowBox[{
     RowBox[{"Chop", "[", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"FK", "[", 
          RowBox[{"1", ",", "0", ",", "0", ",", "kss", ",", "Ass", ",", "0"}],
           "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"FA", "[", 
          RowBox[{"0", ",", "1", ",", "0", ",", "kss", ",", "Ass", ",", "0"}],
           "]"}], "\[Equal]", "0"}]}], "}"}], "]"}], ",", "Reals"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.825999517560986*^9, 3.825999528366653*^9}, {
  3.831017076577199*^9, 3.8310170809917507`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Here", ":", " ", 
   RowBox[{
   "User", " ", "needs", " ", "to", " ", "choose", " ", "the", " ", "stable", 
    " ", "root"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.8310170951850986`*^9, 3.8310171020481577`*^9}, {
  3.831017684067834*^9, 3.8310176900557423`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"root", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.8259997350310907`*^9, 3.825999742157302*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"1", ",", "0", ",", "0"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox["g1", "Code"], 
     StyleBox["]", "Code"]}], 
    StyleBox["[", "Code"], 
    RowBox[{
     StyleBox["kss", "Code"], 
     StyleBox[",", "Code"], 
     StyleBox["Ass", "Code"], 
     StyleBox[",", "Code"], "0"}], 
    StyleBox["]", "Code"]}], 
   StyleBox["=", "Code"], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"root", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "4", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "Code"]}], 
  StyleBox[";", "Code"]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"0", ",", "1", ",", "0"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox["g1", "Code"], 
     StyleBox["]", "Code"]}], 
    StyleBox["[", "Code"], 
    RowBox[{
     StyleBox["kss", "Code"], 
     StyleBox[",", "Code"], 
     StyleBox["Ass", "Code"], 
     StyleBox[",", "Code"], "0"}], 
    StyleBox["]", "Code"]}], 
   StyleBox["=", "Code"], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"root", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "Code"]}], 
  StyleBox[";", "Code"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"1", ",", "0", ",", "0"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox["g2", "Code"], 
     StyleBox["]", "Code"]}], 
    StyleBox["[", "Code"], 
    RowBox[{
     StyleBox["kss", "Code"], 
     StyleBox[",", "Code"], 
     StyleBox["Ass", "Code"], 
     StyleBox[",", "Code"], "0"}], 
    StyleBox["]", "Code"]}], 
   StyleBox["=", "Code"], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"root", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "5", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "Code"]}], 
  StyleBox[";", "Code"]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"0", ",", "1", ",", "0"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox["g2", "Code"], 
     StyleBox["]", "Code"]}], 
    StyleBox["[", "Code"], 
    RowBox[{
     StyleBox["kss", "Code"], 
     StyleBox[",", "Code"], 
     StyleBox["Ass", "Code"], 
     StyleBox[",", "Code"], "0"}], 
    StyleBox["]", "Code"]}], 
   StyleBox["=", "Code"], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"root", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "Code"]}], 
  StyleBox[";", "Code"]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"1", ",", "0", ",", "0"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox["g3", "Code"], 
     StyleBox["]", "Code"]}], 
    StyleBox["[", "Code"], 
    RowBox[{
     StyleBox["kss", "Code"], 
     StyleBox[",", "Code"], 
     StyleBox["Ass", "Code"], 
     StyleBox[",", "Code"], "0"}], 
    StyleBox["]", "Code"]}], 
   StyleBox["=", "Code"], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"root", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "6", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "Code"]}], 
  StyleBox[";", "Code"]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"0", ",", "1", ",", "0"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox["g3", "Code"], 
     StyleBox["]", "Code"]}], 
    StyleBox["[", "Code"], 
    RowBox[{
     StyleBox["kss", "Code"], 
     StyleBox[",", "Code"], 
     StyleBox["Ass", "Code"], 
     StyleBox[",", "Code"], "0"}], 
    StyleBox["]", "Code"]}], 
   StyleBox["=", "Code"], 
   StyleBox[
    RowBox[{
     RowBox[{
      RowBox[{"root", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "3", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "Code"]}], 
  StyleBox[";", "Code"]}]}], "Input",
 CellChangeTimes->{{3.82599975218355*^9, 3.8259998344281807`*^9}, {
  3.8260770936153517`*^9, 3.8260771314851933`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FX", "[", 
    RowBox[{"1", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"FK", "[", 
       RowBox[{"1", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
       "]"}], ",", 
      RowBox[{"FA", "[", 
       RowBox[{"0", ",", "1", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
       "]"}]}], "}"}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8259998590016336`*^9, 3.825999881810384*^9}, {
  3.831017116741592*^9, 3.8310171290331583`*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "xx"], "(", 
     RowBox[{"x", ",", "\[Eta]"}], ")"}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{{3.831017269879764*^9, 3.8310172875756407`*^9}, 
   3.8310177197496223`*^9, 3.831017781797739*^9, 3.8310183111626377`*^9, {
   3.8310185919885063`*^9, 3.831018600006859*^9}, {3.83101932212648*^9, 
   3.831019325070384*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FXX", "[", 
    RowBox[{"2", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"FX", "[", 
      RowBox[{"1", ",", "k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "A"}], "}"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.825999890872579*^9, 3.825999901950109*^9}, {
  3.8310171519763517`*^9, 3.831017157222331*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"root", " ", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FXX", "[", 
        RowBox[{"2", ",", "kss", ",", "Ass", ",", "0"}], "]"}], "\[Equal]", 
       "0"}], ",", "Reals"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.825999913345454*^9, 3.8259999137499437`*^9}, {
  3.8310171633448277`*^9, 3.831017163732539*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "2", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "1", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "1", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "4", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "0", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "7", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "2", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "2", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "1", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "5", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "0", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "8", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "2", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "3", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "1", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], "[", 
     StyleBox[
      RowBox[{"[", "6", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "0", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], "]"}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "9", "]"}], "Code"], 
     StyleBox["]", "Code"]}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8260000461302433`*^9, 3.826000172233897*^9}, {
  3.826077221705855*^9, 3.826077271428076*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "xxx"], "(", 
     RowBox[{"x", ",", "\[Eta]"}], ")"}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{
  3.831017307517664*^9, 3.831017747212435*^9, 3.831017779863338*^9, 
   3.8310183184918337`*^9, {3.831019300009762*^9, 3.8310193025071993`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"FXXX", "[", 
    RowBox[{"3", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"FXX", "[", 
      RowBox[{"2", ",", "k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "A"}], "}"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"root", " ", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FXXX", "[", 
        RowBox[{"3", ",", "kss", ",", "Ass", ",", "0"}], "]"}], "\[Equal]", 
       "0"}], ",", "Reals"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.826000175327579*^9, 3.82600018930396*^9}, {
  3.831017171504937*^9, 3.831017180789077*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "3", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "1", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "2", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "4", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "1", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "7", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"3", ",", "0", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "10", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "3", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "2", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "2", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "5", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "1", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "8", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"3", ",", "0", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "11", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "3", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "2", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "2", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "6", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "1", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "9", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"3", ",", "0", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     StyleBox[
      RowBox[{"[", "12", "]"}], "Code"], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.826000228310602*^9, 3.826000333958005*^9}, {
  3.826001083628427*^9, 3.8260010934338713`*^9}, {3.8260773293144712`*^9, 
  3.826077397638945*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "xxxx"], 
     RowBox[{"(", 
      RowBox[{"x", ",", "\[Eta]"}], ")"}]}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{{3.831017321806365*^9, 3.831017325053808*^9}, {
   3.831017755384838*^9, 3.8310177779189777`*^9}, 3.831018326895825*^9, {
   3.831019295820201*^9, 3.8310192968216143`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"FXXXX", "[", 
    RowBox[{"4", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"FXXX", "[", 
      RowBox[{"3", ",", "k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "A"}], "}"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.826000350006912*^9, 3.826000362214993*^9}, {
  3.826000402700465*^9, 3.82600040290059*^9}, {3.831017196458078*^9, 
  3.83101720170833*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"root", " ", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FXXXX", "[", 
        RowBox[{"4", ",", "kss", ",", "Ass", ",", "0"}], "]"}], "\[Equal]", 
       "0"}], ",", "Reals"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.826000378816351*^9, 3.82600037944562*^9}, {
  3.831017204512995*^9, 3.83101720537824*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "4", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["1", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "3", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["4", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "2", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["7", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"3", ",", "1", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["10", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"4", ",", "0", ",", "0"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["13", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "4", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["2", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "3", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["5", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "2", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["8", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"3", ",", "1", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["11", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"4", ",", "0", ",", "0"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["14", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "4", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["3", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "3", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["6", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "2", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["9", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"3", ",", "1", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["12", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"4", ",", "0", ",", "0"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", 
      StyleBox["[", "Code"], 
      StyleBox[
       RowBox[{"[", "1", "]"}], "Code"], 
      StyleBox["]", "Code"]}], 
     StyleBox["[", "Code"], 
     RowBox[{
      StyleBox["[", "Code"], 
      StyleBox["15", "Code"], "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8260004174643583`*^9, 3.8260004976525087`*^9}, {
  3.826002018290279*^9, 3.8260020189998417`*^9}, {3.82600417171457*^9, 
  3.82600418881353*^9}, {3.826077428754417*^9, 3.826077444221959*^9}, {
  3.8260778472414703`*^9, 3.826077927248898*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Stochastic components of the approximation", "Subsection",
 CellFrame->{{0, 0}, {0, 3}},
 CellChangeTimes->{{3.671257403827909*^9, 3.671257414999014*^9}, {
  3.831017765619525*^9, 3.831017774022993*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "\[Eta]"], 
     RowBox[{"(", 
      RowBox[{"x", ",", "\[Eta]"}], ")"}]}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 Evaluatable->False,
 CellChangeTimes->{{3.831017365507703*^9, 3.831017370945745*^9}, 
   3.831018335723412*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Fe", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"F", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}], ",", "\[Eta]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"root", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Fe", "[", 
        RowBox[{"0", ",", "0", ",", "1", ",", "kss", ",", "Ass", ",", "0"}], 
        "]"}], "\[Equal]", "0"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", 
           RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
         RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", 
           RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
         RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"Derivative", "[", 
           RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
         RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}]}], "}"}], ",", 
      "Reals"}], "]"}], 
    StyleBox["]", "Input"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.701356997461113*^9, 3.701357100077005*^9}, {
  3.7013571529311323`*^9, 3.701357162227221*^9}, {3.701357200337652*^9, 
  3.701357230974432*^9}, {3.7044529287468977`*^9, 3.7044529297212763`*^9}, {
  3.826001152950676*^9, 3.826001188214025*^9}, {3.8260779698355*^9, 
  3.826077974468936*^9}, {3.831017349030581*^9, 3.831017359605297*^9}, {
  3.831017414930534*^9, 3.831017432069179*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7013572675164003`*^9, 3.701357294578274*^9}, {
  3.826001198127994*^9, 3.826001204860064*^9}, {3.8260779839595613`*^9, 
  3.8260779861575727`*^9}, {3.826078067393744*^9, 3.8260780674593782`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Feta", "[", 
    RowBox[{"1", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"Fe", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", "k", ",", "A", ",", "\[Eta]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.701357836837056*^9, 3.70135786644592*^9}, {
  3.826001212765183*^9, 3.826001220208764*^9}, {3.831017378735126*^9, 
  3.831017408506207*^9}, {3.831017441749311*^9, 3.831017441922717*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "x\[Eta]"], 
     RowBox[{"(", 
      RowBox[{"x", ",", "\[Eta]"}], ")"}]}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{
  3.83101747752777*^9, {3.831017792143458*^9, 3.831017796887035*^9}, 
   3.8310183481493607`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"FXeta", "[", 
    RowBox[{"2", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"Feta", "[", 
      RowBox[{"1", ",", "k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "A"}], "}"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"root", " ", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FXeta", "[", 
        RowBox[{"2", ",", "kss", ",", "Ass", ",", "0"}], "]"}], "\[Equal]", 
       "0"}], ",", "Reals"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.701357896777153*^9, 3.701357934718918*^9}, {
  3.70445293648904*^9, 3.704452937489625*^9}, {3.8260012225652533`*^9, 
  3.826001241633906*^9}, {3.8260012888651876`*^9, 3.8260012889870872`*^9}, {
  3.8310174552741747`*^9, 3.8310174678285103`*^9}, {3.831019218805942*^9, 
  3.831019222465694*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "1", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "0", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "4", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "1", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "0", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "5", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "1", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "0", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "6", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.8260012489755898`*^9, 3.826001280734663*^9}, {
  3.826004307090817*^9, 3.826004310001465*^9}, {3.826078090527999*^9, 
  3.8260781078796062`*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "xx\[Eta]"], 
     RowBox[{"(", 
      RowBox[{"x", ",", "\[Eta]"}], ")"}]}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{{3.831017505105789*^9, 3.831017505235358*^9}, {
   3.831017799792944*^9, 3.831017804751813*^9}, 3.831018358118754*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"FXXeta", "[", 
    RowBox[{"3", ",", "k_", ",", "A_", ",", "\[Eta]_"}], "]"}], " ", "=", " ", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"FXeta", "[", 
      RowBox[{"2", ",", "k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "A"}], "}"}], ",", "1"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"root", " ", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"FXXeta", "[", 
        RowBox[{"3", ",", "kss", ",", "Ass", ",", "0"}], "]"}], "\[Equal]", 
       "0"}], ",", "Reals"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.701359818545169*^9, 3.7013598242121563`*^9}, {
  3.70135987959251*^9, 3.701359886614182*^9}, {3.7044529566814737`*^9, 
  3.704452957811677*^9}, {3.826001282873214*^9, 3.826001304371464*^9}, {
  3.831017492833012*^9, 3.831017502653757*^9}, {3.831019234964437*^9, 
  3.8310192368958406`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "2", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "1", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "4", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "0", ",", "1"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "7", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "2", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "1", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "5", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "0", ",", "1"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "8", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "2", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"1", ",", "1", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "6", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"2", ",", "0", ",", "1"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "9", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7013599243360577`*^9, 3.701360038993195*^9}, {
  3.826001323789109*^9, 3.826001364436298*^9}, {3.826004341690896*^9, 
  3.8260043511766157`*^9}, {3.826078130394539*^9, 3.8260781653295918`*^9}}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{
    RowBox[{
     SubscriptBox["F", "\[Eta]\[Eta]"], 
     RowBox[{"(", 
      RowBox[{"x", ",", "\[Eta]"}], ")"}]}], "=", "0"}], "Subsubsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{
  3.831017545150487*^9, {3.831017808328051*^9, 3.8310178143224173`*^9}, 
   3.831018365394828*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Fee", "[", 
    RowBox[{"0", ",", "0", ",", "2", ",", "k_", ",", "A_", ",", "\[Eta]_"}], 
    "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"Fe", "[", 
      RowBox[{"0", ",", "0", ",", "1", ",", "k", ",", "A", ",", "\[Eta]"}], 
      "]"}], ",", "\[Eta]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"root", "=", 
   RowBox[{"Chop", "[", 
    RowBox[{"NSolve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Fee", "[", 
        RowBox[{"0", ",", "0", ",", "2", ",", "kss", ",", "Ass", ",", "0"}], 
        "]"}], "\[Equal]", "0"}], ",", "Reals"}], "]"}], 
    StyleBox["]", "Input"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "root", "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.7013600813308897`*^9, 3.701360131765925*^9}, {
  3.704452964815908*^9, 3.704452965922956*^9}, {3.826001373326432*^9, 
  3.826001390258306*^9}, {3.831017515960451*^9, 3.831017539233055*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "2"}], "]"}], "[", "g1", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "2"}], "]"}], "[", "g2", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "2"}], "]"}], "[", "g3", "]"}], "[", 
    RowBox[{"kss", ",", "Ass", ",", "0"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"root", "[", 
      RowBox[{"[", "1", "]"}], "]"}], "[", 
     RowBox[{"[", "3", "]"}], "]"}], "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.701360161310486*^9, 3.701360182603375*^9}, {
   3.8260013962699413`*^9, 3.826001403644967*^9}, {3.82607820017387*^9, 
   3.826078206590457*^9}, 3.831017859039209*^9}],

Cell[BoxData[
 FormBox[
  StyleBox[
   RowBox[{"Summary", " ", "of", " ", "results"}], "Subsection"], 
  TraditionalForm]], "Input",
 CellFrame->{{0, 0}, {0, 2}},
 Evaluatable->False,
 CellChangeTimes->{{3.831017860530243*^9, 3.831017860531879*^9}, {
   3.831018024061688*^9, 3.831018041916771*^9}, 3.831018375510268*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"partials", "[", 
   RowBox[{"expr_", ",", " ", "vars_List", ",", "order_Integer"}], "]"}], ":=", 
  RowBox[{"Flatten", "/@", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"MapThread", "[", 
       RowBox[{"D", ",", " ", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"NestList", "[", 
           RowBox[{"Rest", ",", " ", "#", ",", " ", 
            RowBox[{
             RowBox[{"Length", "[", "vars", "]"}], "-", "1"}]}], "]"}], ",", 
          "vars"}], "}"}]}], "]"}], "&"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{"expr", ",", "#"}], "]"}], "&"}], "/@", "vars"}], ",", 
     RowBox[{"order", "-", "1"}]}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myvariables", "=", 
   RowBox[{"{", 
    RowBox[{"k", ",", "A", ",", "\[Eta]"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"varrule", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "\[Rule]", "kss"}], ",", " ", 
     RowBox[{"A", "\[Rule]", " ", "Ass"}], ",", 
     RowBox[{"\[Eta]", "\[Rule]", " ", "0"}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.673154084528345*^9, {3.673154165776919*^9, 3.673154169500346*^9}, {
   3.677222325435568*^9, 3.67722233157896*^9}, {3.701360220439726*^9, 
   3.701360229711946*^9}, {3.826001411976321*^9, 3.826001415762282*^9}, {
   3.826001489032467*^9, 3.826001489167102*^9}}],

Cell[BoxData[{
 RowBox[{"Cfx", " ", "=", " ", 
  RowBox[{"Expand", "[", 
   RowBox[{"partials", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"g1", "[", 
        RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
       RowBox[{"g2", "[", 
        RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
       RowBox[{"g3", "[", 
        RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}]}], "}"}], ",", 
     "myvariables", ",", 
     RowBox[{"n", "-", "2"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"CfxN", " ", "=", " ", 
  RowBox[{"Expand", "[", 
   RowBox[{
    RowBox[{"partials", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"g1", "[", 
         RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
        RowBox[{"g2", "[", 
         RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}], ",", 
        RowBox[{"g3", "[", 
         RowBox[{"k", ",", "A", ",", "\[Eta]"}], "]"}]}], "}"}], ",", 
      "myvariables", ",", 
      RowBox[{"n", "-", "2"}]}], "]"}], "/.", "varrule"}], "]"}]}]}], "Input",\

 CellChangeTimes->{{3.7014103711896772`*^9, 3.701410410656468*^9}, {
   3.7014104760365467`*^9, 3.7014105038103437`*^9}, {3.7014963564402647`*^9, 
   3.701496380813195*^9}, {3.70322772804123*^9, 3.703227757460204*^9}, {
   3.7032277967813253`*^9, 3.703227806555489*^9}, {3.70445271887982*^9, 
   3.704452719518427*^9}, {3.7044527928715477`*^9, 3.704452818521247*^9}, {
   3.711695509906974*^9, 3.7116955105167017`*^9}, {3.730018878260538*^9, 
   3.730018886560462*^9}, {3.746338549507148*^9, 3.74633855157407*^9}, {
   3.74815201059517*^9, 3.748152012150737*^9}, {3.748155097172759*^9, 
   3.748155097642774*^9}, {3.749018935482625*^9, 3.749018935751321*^9}, {
   3.749189241314775*^9, 3.749189273789227*^9}, {3.7498126556569853`*^9, 
   3.749812657059267*^9}, {3.74981271559088*^9, 3.749812718338138*^9}, {
   3.754547749932583*^9, 3.754547772351707*^9}, {3.754549787654538*^9, 
   3.754549787876001*^9}, {3.754552045946628*^9, 3.754552046163867*^9}, {
   3.754553599558926*^9, 3.754553599712525*^9}, {3.754555331192975*^9, 
   3.754555331410116*^9}, {3.7574137227350893`*^9, 3.757413741340837*^9}, {
   3.757415590574114*^9, 3.7574155907214003`*^9}, {3.757417267564323*^9, 
   3.757417267733839*^9}, {3.7574188165601673`*^9, 3.757418817676709*^9}, {
   3.757420643667759*^9, 3.757420643835596*^9}, {3.76200603748278*^9, 
   3.762006043827478*^9}, {3.762007758110268*^9, 3.762007758622278*^9}, {
   3.771817335519808*^9, 3.771817335599576*^9}, {3.773574056990183*^9, 
   3.773574057716816*^9}, {3.774674747561512*^9, 3.774674749492291*^9}, {
   3.774677975147357*^9, 3.774677997520816*^9}, {3.7746961123427896`*^9, 
   3.774696124743903*^9}, {3.776082474045877*^9, 3.7760824751553173`*^9}, {
   3.77608527582201*^9, 3.776085278248255*^9}, {3.776154246202661*^9, 
   3.776154273117557*^9}, {3.7763963230664053`*^9, 3.776396350983367*^9}, {
   3.776486827486024*^9, 3.776486850935721*^9}, {3.7783386069830427`*^9, 
   3.778338607716508*^9}, {3.778339783203122*^9, 3.778339808886244*^9}, 
   3.7783398388917294`*^9, {3.826001419079447*^9, 3.826001436529335*^9}, 
   3.8260014742246532`*^9, {3.826035954400428*^9, 3.8260359848096523`*^9}, {
   3.826078219954288*^9, 3.826078226358348*^9}, 3.830922845924039*^9, {
   3.83092289209121*^9, 3.830922892843038*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1563, 899},
WindowMargins->{{55, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[422, 15, 835, 12, 224, "Title"],
Cell[1260, 29, 1006, 22, 61, "Text"],
Cell[2269, 53, 3496, 108, 123, "Text"],
Cell[5768, 163, 315, 4, 30, "Text"],
Cell[6086, 169, 9660, 325, 246, "Text"],
Cell[CellGroupData[{
Cell[15771, 498, 98, 1, 64, "Section"],
Cell[15872, 501, 1173, 19, 32, "Input"],
Cell[CellGroupData[{
Cell[17070, 524, 155, 2, 44, "Subsection"],
Cell[17228, 528, 1130, 28, 96, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18395, 561, 98, 1, 44, "Subsection"],
Cell[18496, 564, 10194, 144, 138, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[28727, 713, 162, 2, 44, "Subsection"],
Cell[28892, 717, 2251, 52, 201, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31180, 774, 255, 3, 44, "Subsection"],
Cell[31438, 779, 674, 16, 32, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32149, 800, 634, 16, 46, "Subsection"],
Cell[32786, 818, 6097, 135, 131, "Input"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38932, 959, 184, 2, 64, "Section"],
Cell[39119, 963, 2597, 46, 164, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41753, 1014, 129, 1, 64, "Section"],
Cell[CellGroupData[{
Cell[41907, 1019, 197, 2, 44, "Subsection"],
Cell[42107, 1023, 1144, 25, 75, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[43288, 1053, 381, 5, 44, "Subsection"],
Cell[43672, 1060, 977, 31, 72, "Input",
 Evaluatable->False],
Cell[44652, 1093, 941, 24, 54, "Input"],
Cell[45596, 1119, 740, 20, 54, "Input"],
Cell[46339, 1141, 309, 7, 32, "Input"],
Cell[46651, 1150, 201, 5, 32, "Input"],
Cell[46855, 1157, 4709, 170, 138, "Input"],
Cell[51567, 1329, 582, 15, 32, "Input"],
Cell[52152, 1346, 493, 13, 48, "Input",
 Evaluatable->False],
Cell[52648, 1361, 529, 15, 32, "Input"],
Cell[53180, 1378, 503, 13, 54, "Input"],
Cell[53686, 1393, 4945, 163, 201, "Input"],
Cell[58634, 1558, 416, 12, 48, "Input",
 Evaluatable->False],
Cell[59053, 1572, 914, 26, 75, "Input"],
Cell[59970, 1600, 6652, 219, 264, "Input"],
Cell[66625, 1821, 461, 13, 48, "Input",
 Evaluatable->False],
Cell[67089, 1836, 578, 16, 32, "Input"],
Cell[67670, 1854, 499, 13, 54, "Input"],
Cell[68172, 1869, 8747, 289, 327, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76956, 2163, 209, 3, 55, "Subsection"],
Cell[77168, 2168, 333, 11, 42, "Input",
 Evaluatable->False],
Cell[77504, 2181, 1860, 46, 75, "Input"],
Cell[79367, 2229, 1464, 42, 75, "Input"],
Cell[80834, 2273, 476, 10, 32, "Input"],
Cell[81313, 2285, 390, 13, 52, "Input",
 Evaluatable->False],
Cell[81706, 2300, 1120, 29, 75, "Input"],
Cell[82829, 2331, 2659, 81, 138, "Input"],
Cell[85491, 2414, 411, 12, 52, "Input",
 Evaluatable->False],
Cell[85905, 2428, 1119, 29, 75, "Input"],
Cell[87027, 2459, 3952, 120, 201, "Input"],
Cell[90982, 2581, 396, 13, 52, "Input",
 Evaluatable->False],
Cell[91381, 2596, 983, 25, 75, "Input"],
Cell[92367, 2623, 1435, 42, 75, "Input"],
Cell[93805, 2667, 321, 8, 50, "Input",
 Evaluatable->False],
Cell[94129, 2677, 1437, 38, 75, "Input"],
Cell[95569, 2717, 3315, 61, 54, "Input"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

